<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="020c3efc-0904-45ed-a2f8-48eb9c226a5a" name="Default" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="450">
      <file leaf-file-name="tnl.py" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/tnl.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="352">
              <caret line="246" column="55" selection-start-line="246" selection-start-column="55" selection-end-line="246" selection-end-column="63" />
              <folding>
                <element signature="e#195#230#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/tnl.py" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="7">
    <option name="x" value="331" />
    <option name="y" value="33" />
    <option name="width" value="1509" />
    <option name="height" value="905" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="car" type="b2602c69:ProjectViewProjectNode" />
              <item name="car" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="car" type="b2602c69:ProjectViewProjectNode" />
              <item name="car" type="462c0819:PsiDirectoryNode" />
              <item name="mrsoft" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="configurable.group.appearance" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="tnl" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="car" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/tnl.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Python.tnl" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="020c3efc-0904-45ed-a2f8-48eb9c226a5a" name="Default" comment="" />
      <created>1534832825777</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1534832825777</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="7" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.2497349" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.014806378" />
      <window_info anchor="bottom" id="Version Control" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Python Console" order="7" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/tnl.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6399">
          <caret line="246" column="55" selection-start-line="246" selection-start-column="55" selection-end-line="246" selection-end-column="63" />
          <folding>
            <element signature="e#195#230#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tnl.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6480">
          <caret line="249" column="31" selection-start-line="249" selection-start-column="21" selection-end-line="249" selection-end-column="31" />
          <folding>
            <element signature="e#195#230#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tnl.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1971">
          <caret line="73" column="21" lean-forward="true" selection-start-line="73" selection-start-column="21" selection-end-line="73" selection-end-column="26" />
          <folding>
            <element signature="e#195#230#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tnl.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="837">
          <caret line="40" column="42" selection-start-line="40" selection-start-column="42" selection-end-line="40" selection-end-column="42" />
          <folding>
            <element signature="e#195#230#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.PyCharmCE2018.1/system/python_stubs/1562548280/PyQt5/QtWidgets/QCommandLinkButton.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="494">
          <caret line="192" column="8" selection-start-line="192" selection-start-column="8" selection-end-line="192" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.PyCharmCE2018.1/system/python_stubs/1562548280/PyQt5/QtWidgets/QLayout.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="243">
          <caret line="146" column="8" selection-start-line="146" selection-start-column="8" selection-end-line="146" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.PyCharmCE2018.1/system/python_stubs/1562548280/PyQt5/QtWidgets/QWidget.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30618">
          <caret line="1134" column="8" selection-start-line="1134" selection-start-column="8" selection-end-line="1134" selection-end-column="8" />
          <folding>
            <element signature="e#148#185#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tnl.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="246" column="55" selection-start-line="246" selection-start-column="55" selection-end-line="246" selection-end-column="63" />
          <folding>
            <element signature="e#195#230#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>